Computer Security
[EN] securityvulns.ru no-pyccku


PHP str_ireplace DoS
Published:13.02.2007
Source:
SecurityVulns ID:7219
Type:local
Threat Level:
5/10
Description: $Data = str_ireplace("\n", "<br>", $Data); can cause PHP engine to crash Because of off-by-one overflow.
Affected:PHP : PHP 5.2
CVE:CVE-2007-0911 (Off-by-one error in the str_ireplace function in PHP 5.2.1 might allow context-dependent attackers to cause a denial of service (crash).)
Original documentdocumentThomas Hruska, [PHP-DEV] PHP 5.2.1 crashing Apache/IIS... (13.02.2007)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod